<template>
  <div class="basic-main" style="height: 100%">
    {{{ model }}}
  </div>
</template>

<script>
  import {HttpResetClass} from 'vue-client'
  export default {
    title: '报表测试',
    props: {
      data: {
        type: Object
      }
    },
    data () {
      return {
        model: null
      }
    },
    created () {
      let http = new HttpResetClass()
      let data = {
        id: this.data.id
      }
      http.load('POST', 'rs/report/test', {data}, {resolveMsg: null, rejectMsg: null})
        .then(res => {
          this.model = res.data
        })
    }
  }
</script>

<style scoped>

</style>
